Модераторы: IZ@TOP, skyboy, SamDark, MoLeX, Aliance, ksnk, ksnk, ksnk
  

Поиск:

Ответ в темуСоздание новой темы Создание опроса
> Ошибка при настройке модуля, php_yaz 
:(
    Опции темы
Atos
  Дата 10.5.2011, 07:38 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Шустрый
*


Профиль
Группа: Участник
Сообщений: 108
Регистрация: 2.9.2004
Где: Омск

Репутация: нет
Всего: нет



Пытаюсь подключить библиотеку yaz. 
PHP Version 5.3.5 (в составе xampp)
скачал php_yaz.dll, в php.ini прописал extension=php_yaz.dll

При запуске сервер выдаёт:
Цитата

PHP Warning:  PHP Startup: yaz: Unable to initialize module
Module compiled with module API=20001222
PHP    compiled with module API=20090626
These options need to match


Это сообщение отредактировал(а) Atos - 10.5.2011, 07:39
PM MAIL   Вверх
ksnk
Дата 10.5.2011, 10:49 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


прохожий
****


Профиль
Группа: Комодератор
Сообщений: 6798
Регистрация: 13.4.2007
Где: СПб

Репутация: нет
Всего: 383



Цитата(Atos @  10.5.2011,  07:38 Найти цитируемый пост)
Module compiled with module API=20001222
PHP    compiled with module API=20090626

Это значит, что модуль скомпилировать в 2000 году, когда о php 5 его разработчики только раздумывали, а php скомпилирован с 2009 году. Тоже не самый свежак, но, вроде, жить должен.

Это все равно, что в новую материнскую плату пытаться запихать старый исашный модем. Разьемы уже не выпускают...

Что делать? Искать новую версию модуля. Если найти не удастся - задать себе вопрос - а нафига мне такому красивому, программа, разработка которой остановилась 11 лет назад?


--------------------
Человеку свойственно ошибаться, программисту свойственно ошибаться профессионально ! user posted image
PM MAIL WWW Skype   Вверх
gta4kv
Дата 10.5.2011, 10:49 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Walking around mad.
***


Профиль
Группа: Завсегдатай
Сообщений: 1868
Регистрация: 25.7.2006

Репутация: нет
Всего: 91



Видимо, php_yaz далеко не для 5.3.5 версии?
PM MAIL   Вверх
Google
  Дата 20.5.2019, 03:55 (ссылка)  





  Вверх
  
Ответ в темуСоздание новой темы Создание опроса
1 Пользователей читают эту тему (1 Гостей и 0 Скрытых Пользователей)
0 Пользователей:
« Предыдущая тема | PHP: Extensions | Следующая тема »


 




[ Время генерации скрипта: 0.0727 ]   [ Использовано запросов: 21 ]   [ GZIP включён ]


Реклама на сайте     Информационное спонсорство

 
По вопросам размещения рекламы пишите на vladimir(sobaka)vingrad.ru
Отказ от ответственности     Powered by Invision Power Board(R) 1.3 © 2003  IPS, Inc.